Subject: [mpls] WG LC draft-lm-pwe3-mpls-tp-gal-in-pw-00.txt

From: Greg Mirsky <[email-masked]>
Date: Thu, 17 Feb 2011 22:47:04 -0800

Dear Authors and All,
prior to the meeting in Bejing and acceptance of this proposal as WG
document Luca and I agreed that use of GAL with PW VCCV presents a problem.
I was not attending the IETF-79, nor I found discussion of this issue in the
minutes. I think that this issue should be specified, explained. In my view,
this document updates not only RFC 5586
but RFC 5085 too.

Regards,
Greg

Comment to draft-lm-pwe3-mpls-tp-gal-in-pw-00.txt

On Sat, Oct 30, 2010 at 10:14 AM, Luca Martini <[email-masked]> wrote:

>  Greg,
>
> You are correct , the proposed update does not propose any changes to VCCV.
> However the problem with vccv is not as simple as to ask for a new code
> point from IANA.
> Given the good amount of discussion on this point, we should probably have
> a discussion in Beijing.
>
> Luca
>
>
>
> On 10/29/2010 05:07 PM, Greg Mirsky wrote:
>
> Dear Authors,
> I think that proposed update of the Section 4.2. RFC 5586 makes it possible
> to use GAL on MPLS-TP PW that uses Control Word. I consider it to be
> conflict between PW VCCV CC types because use of GAL is not negotiated
> through PW VCCV negotiation. To avoid such situation I propose:
>
>    - in Section 5 request IANA to assign new CC Type "MPLS Generic
>    Associated Channel Label"
>    - assign precedence to new CC Type that affects Section 7 RFC 5085
>
> Regards,
> Greg
>
>
>
> _______________________________________________
> mpls mailing [email-masked]://www.ietf.org/mailman/listinfo/mpls
>
>
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 18 Feb 2011 09:05:19 +0200

Greg, and all,
I concur with Greg.
Using GAL with PWs is highly problematic, and all the related issues (raised during the poll on accepting this draft as a WG item) have not, AFAIK, been resolved.

Regards,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Greg Mirsky [[email-masked]]
Sent: Friday, February 18, 2011 8:47 AM
To: Luca Martini
Cc: [email-masked]; [email-masked]; [email-masked]; pwe3; HUANG Feng F
Subject: [mpls-tp] WG LC draft-lm-pwe3-mpls-tp-gal-in-pw-00.txt

Dear Authors and All,
prior to the meeting in Bejing and acceptance of this proposal as WG document Luca and I agreed that use of GAL with PW VCCV presents a problem.
I was not attending the IETF-79, nor I found discussion of this issue in the minutes. I think that this issue should be specified, explained. In my view, this document updates not only RFC 5586
but RFC 5085 too.

Regards,
Greg

On Sat, Oct 30, 2010 at 10:14 AM, Luca Martini <[email-masked]<mailto:[email-masked]>> wrote:
Greg,

You are correct , the proposed update does not propose any changes to VCCV.
However the problem with vccv is not as simple as to ask for a new code point from IANA.
Given the good amount of discussion on this point, we should probably have a discussion in Beijing.

Luca

Dear Authors,

Regards,
Greg

_______________________________________________
mpls mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls

---

From: <[email-masked]>
Date: Fri, 18 Feb 2011 09:17:54 +0000

Sasha/Greg,

I would certainly agree that the use of the GAL with PWs is wrong....but the reason for that is simply that PWs per se violate the whole purpose of MPLS-TP as a *transparent* transport network, noting that a true transport network must treat all client symbols equally...that is just a fact.

However, given PWs are being carried forward into MPLS-TP then we also have to deal with the issue that CP/MP of a transport network needs to logically OOB wrt to the DP traffic.  The GAL provides this function for the MPLS-TP layer network itself (though it also gets this a wee bit wrong by asking it to play a DP OAM role too,) but what about the PW layer network?

MS PWs for sure are their own/different layer network....so they will need their own access point addressing, OAM, routing, signalling, etc.  I asked some time ago why we were not using RSVP signalling here but T-LDP instead...and I was told that RSVP cannot handle the PW signalling messages (nor the access addressing formats I assume...and we will of course need a new instance of routing that will).

So how is T-LDP being taken OOB wrt to the PW DP?

regards, Neil

Neil Harrison
BT Design

Tel: +44 (0) 1 803 812 545
Email: [email-masked]<mailto:[email-masked]>
Web: www.bt.com<http://www.bt.com/>
This email contains BT information, which may be privileged or confidential.
It's meant only for the individual(s) or entity named above. If you're not the intended
recipient, note that disclosing, copying, distributing or using this information
is prohibited. If you've received this email in error, please let me know immediately
on the email address above. Thank you.
We monitor our email system, and may record your emails.
British Telecommunications plc
Registered office: 81 Newgate Street London EC1A 7AJ
Registered in England no: 1800000

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: 18 February 2011 07:05
To: Greg Mirsky
Cc: Robert Rennison; [email-masked]; Luca Martini; [email-masked]; Mishael Wexler; [email-masked]; pwe3; [email-masked]; [email-masked]; Feng F; Cohen
Subject: Re: [PWE3] [mpls-tp] WG LC draft-lm-pwe3-mpls-tp-gal-in-pw-00.txt

Greg, and all,
I concur with Greg.

Regards,
     Sasha

Regards,
Greg

Luca

Dear Authors,

Regards,

Greg

mpls mailing list

---

From: Luca Martini <[email-masked]>
Date: Fri, 18 Feb 2011 08:46:10 -0700

Greg,

Sorry, but I do not remember the point you mention.
Can you explain again here ?
Thanks.
Luca

On 02/17/11 23:47, Greg Mirsky wrote:
> I was not attending the IETF-79, nor I found discussion of this issue
> in the minutes. I think that this issue should be specified,
> explained. In my view, this document updates not only RFC 5586
> but RFC 5085 too.
>
> Regards,
> Greg
>
>>     [email-masked] <mailto:[email-masked]>
> [email-masked]

---

From: Greg Mirsky <[email-masked]>
Date: Fri, 18 Feb 2011 10:15:26 -0800

Dear Luca,
I see at least two issues:

   - use of GAL for PW, in my view, is another VCCV CC type that has to be
   negotiated as described in RFC 5085.
   - use of GAL creates ambiguous situation when PW CW is used. The benefit
   from extending GAL in PW, as I see, is for PWs that are not required to use
   PW CW. That might be a good enough reason to update RFC 5586 as proposed in
   the document but we must address use cases of GAL in PWs that require
   presence PW CW. If we prohibit or even discourage use of GAL for these PWs
   that have PW VCCV as native Associated Channel, then architecture of ACh for
   MPLS-TP PW not simplified as result of adopting the proposal.

Regards,
Greg